﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UdImageWin
{
    public partial class FrmMain : Form
    {
        public FrmMain()
        {
            InitializeComponent();
        }

        private void FrmMain_Load(object sender, EventArgs e)
        {
            mnuOpenResource_Click(sender, e);
        }

        #region 文件菜单

        private void mnuOpenFile_Click(object sender, EventArgs e)
        {
            if (DialogResult.OK == this.openFileDialog.ShowDialog(this))
            {
                this.axUdImage1.LoadFromFile(this.openFileDialog.FileName);
            }
        }

        private void mnuOpenResource_Click(object sender, EventArgs e)
        {
            string assembleName = this.GetType().Assembly.GetName().Name;
            System.IO.Stream stream =
                this.GetType().Assembly.GetManifestResourceStream(assembleName + ".p0.jpg");

            byte[] buf = new byte[(int)stream.Length];
            stream.Read(buf, 0, buf.Length);
            stream.Close();

            this.axUdImage1.LoadFromData(buf);
        }

        private void mnuClose_Click(object sender, EventArgs e)
        {
            this.axUdImage1.Close();
        }

        private void mnuExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        #endregion

        #region 查看菜单

        private void mnuZoomFitPage_Click(object sender, EventArgs e)
        {
            this.axUdImage1.Zoom = -1;
        }

        private void mnuZoomActual_Click(object sender, EventArgs e)
        {
            this.axUdImage1.Zoom = 100;
        }

        private void mnuZoomIn_Click(object sender, EventArgs e)
        {
            this.axUdImage1.ZoomIn();
        }

        private void mnuZoomOut_Click(object sender, EventArgs e)
        {
            this.axUdImage1.ZoomOut();
        }

        private void mnuRotateLeft_Click(object sender, EventArgs e)
        {
            this.axUdImage1.RotateLeft();
        }

        private void mnuRotateRight_Click(object sender, EventArgs e)
        {
            this.axUdImage1.RotateRight();
        }

        private void mnuFullScreen_Click(object sender, EventArgs e)
        {
            this.axUdImage1.Dock = DockStyle.None;
            this.axUdImage1.ToggleFullScreen();
        }
        
        private void axUdImage1_OnExitFullScreen(object sender, EventArgs e)
        {
            this.axUdImage1.Dock = DockStyle.Fill;
        }
        #endregion

        
        private void mnuAllowCapture_Click(object sender, EventArgs e)
        {
            this.mnuAllowCapture.Checked = !this.mnuAllowCapture.Checked;
            this.axUdImage1.EnableCapture = this.mnuAllowCapture.Checked;
        }


        private void mnuAbout_Click(object sender, EventArgs e)
        {
            MessageBox.Show("UUDoc Image Control Sample for Windows\r\n\r\n(C)2013 珠海市优道信息科技有限公司", "关于", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void mnuWebSite_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("http://www.uudoc.com");
        }




    }
}
